Skip to main content
POST
/
v2
/
performance-evaluations
/
{id}
/
answer
Send evaluation response to a participant
curl --request POST \
  --url https://app.tarefy.com/nodeapi/v2/performance-evaluations/{id}/answer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "competenceAnswers": [
    {
      "competence_id": 123,
      "score": 3,
      "comment": "<string>"
    }
  ],
  "generalComment": "<string>"
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/performance-evaluations/{id}/answer"

payload = {
"competenceAnswers": [
{
"competence_id": 123,
"score": 3,
"comment": "<string>"
}
],
"generalComment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
competenceAnswers: [{competence_id: 123, score: 3, comment: '<string>'}],
generalComment: '<string>'
})
};

fetch('https://app.tarefy.com/nodeapi/v2/performance-evaluations/{id}/answer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Query Parameters

participantId
integer

Body

application/json
competenceAnswers
object[]
generalComment
string

Response

200 - application/json

Resposta enviada com sucesso

The response is of type object.